task_arena.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "task.h"`
`#include "tbb_exception.h"`
`#include "internal/_template_helpers.h"`
`#include "aligned_space.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for task_arena.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface7::internal::delegate_base
struct | tbb::interface7::internal::return_type_or_void< F >
class | tbb::interface7::internal::delegated_function< F, R >
class | tbb::interface7::internal::delegated_function< F, void >
class | tbb::interface7::internal::task_arena_base
class | tbb::interface7::task_arena
struct | tbb::interface7::task_arena::attach
| Tag class used to indicate the "attaching" constructor. More...

## Namespaces

| tbb
| The graph class.
| tbb::this_task_arena
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.
| tbb::interface7
| tbb::interface7::internal
| tbb::interface7::this_task_arena

## Macros

#define | __TBB_task_arena_H_include_area

## Functions

int | tbb::this_task_arena::max_concurrency ()
| Returns the maximal number of threads that can work inside the arena. More...
void __TBB_EXPORTED_FUNC | tbb::interface7::internal::isolate_within_arena (delegate_base &d, intptr_t isolation=0)
template<typename R , typename F >
R | tbb::interface7::internal::isolate_impl (F &f)
template<typename F >
internal::return_type_or_void< F >::type | tbb::interface7::this_task_arena::isolate (F &f)
template<typename F >
internal::return_type_or_void< F >::type | tbb::interface7::this_task_arena::isolate (const F &f)
int | tbb::this_task_arena::current_thread_index ()
| Returns the index, aka slot number, of the calling thread in its current arena. More...

## Macro Definition Documentation

## __TBB_task_arena_H_include_area

#define __TBB_task_arena_H_include_area

Definition at line 20 of file task_arena.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.